Search sessions by status
curl --request POST \
--url https://public-api.sessionboard.com/v1/event/{eventId}/sessions/status \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"filters": {
"createdAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
},
"updatedAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
},
"deletedAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
}
},
"sort": {},
"expand": [
"<string>"
]
}
'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/status"
payload = {
"filters": {
"createdAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
},
"updatedAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
},
"deletedAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
}
},
"sort": {},
"expand": ["<string>"]
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
createdAt: {before: '2023-11-07T05:31:56Z', after: '2023-11-07T05:31:56Z'},
updatedAt: {before: '2023-11-07T05:31:56Z', after: '2023-11-07T05:31:56Z'},
deletedAt: {before: '2023-11-07T05:31:56Z', after: '2023-11-07T05:31:56Z'}
},
sort: {},
expand: ['<string>']
})
};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/sessions/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"friendly_id": "<string>",
"friendly_id_raw": 123,
"status": "<string>",
"custom_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_status": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"status_name": "<string>",
"color": "<string>",
"order": 123,
"is_custom": true,
"created_at": "<string>",
"created_by_user_id": 123,
"created_by_user_name": "<string>"
},
"is_abstract": true,
"composition_status": {
"is_linked": true,
"is_read_only": true,
"source_count": 123,
"target": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"friendly_id": "<string>",
"title": "<string>",
"is_abstract": true
}
},
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"subsessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"friendly_id": "<string>",
"friendly_id_raw": 123,
"parent_session_friendly_id": "<string>",
"parent_session_friendly_id_raw": 123,
"status": "<string>",
"custom_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_status": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"status_name": "<string>",
"color": "<string>",
"order": 123,
"is_custom": true,
"created_at": "<string>",
"created_by_user_id": 123,
"created_by_user_name": "<string>"
},
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
],
"pagination": {
"currentPage": 123,
"pageSize": 123,
"totalPages": 123,
"totalResults": 123
}
}Event — Sessions
Search sessions by status
Returns a lightweight list of session statuses, including deleted
sessions. Supports filtering by deletedAt in addition to standard
filters.
Parent rows additionally include a subsessions array with the same
minimal status-focused shape for each child subsession
(SubsessionStatus). Subsession rows that appear in the flat
results continue to surface with their own row (for back-compat) and
carry an empty subsessions array.
POST
/
v1
/
event
/
{eventId}
/
sessions
/
status
Search sessions by status
Authorizations
ApiKeyBearerToken
Organization API token. Generate from Organization Settings → API Tokens.
Path Parameters
The event ID.
Query Parameters
Page number for pagination.
Required range:
1 <= x <= 999Number of results per page.
Required range:
1 <= x <= 100Body
application/json
⌘I

